#!/bin/sh
#
# Used with FVWM2 to generate a menu of last run items
#

fhome=$HOME/.fvwm/g3
fwork=$fhome/work
lfmt=$fwork/last_run_x_fmt.txt

if test -f "$lfmt"
then
    tfile1=$fwork/temp.$USER.menu.y
    tfile2=$fwork/temp.$USER.menu.x
    sed 's/^/+ "/;s/$/"/' "$lfmt" > $tfile1
    sed 's/^/Exec /'      "$lfmt" > $tfile2
    paste $tfile1 $tfile2
    echo '+	""		Nop'
    echo '+ 	"Pin Menu" TearMenuOff'
    rm -f $tfile1 $tfile2 > /dev/null 2>&1
fi

